@tailwind base;
@tailwind components;
@tailwind utilities;

#app {
}


.favorite-button {
    background: #A370F0;
    color: white;
    font-family: inherit;
    padding: 0.35em;
    padding-left: 1.2em;
    font-size: 17px;
    font-weight: 500;
    border-radius: 0.9em;
    border: none;
    letter-spacing: 0.05em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-shadow: inset 0 0 1.6em -0.6em #714da6;
    box-shadow: inset 0 0 1.6em -0.6em #714da6;
    overflow: hidden;
    position: relative;
    height: 2.8em;
    padding-right: 3.3em;
}

.favorite-button .icon {
    background: white;
    margin-left: 1em;
    position: absolute;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    height: 2.2em;
    width: 2.2em;
    border-radius: 0.7em;
    -webkit-box-shadow: 0.1em 0.1em 0.6em 0.2em #7b52b9;
    box-shadow: 0.1em 0.1em 0.6em 0.2em #7b52b9;
    right: 0.3em;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
}

.favorite-button:hover .icon {
    width: calc(100% - 0.6em);
}

.favorite-button .icon svg {
    width: 1.1em;
    -webkit-transition: -webkit-transform 0.3s;
    transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
    transition: transform 0.3s, -webkit-transform 0.3s;
    color: #7b52b9;
}

.favorite-button:active .icon {
    -webkit-transform: scale(0.95);
    -ms-transform: scale(0.95);
    transform: scale(0.95);
}

.favorite-button:hover .icon svg {
    -webkit-transform: translateX(0.1em);
    -ms-transform: translateX(0.1em);
    transform: translateX(0.1em);
}

.favorite-button:active .icon {
    -webkit-transform: scale(0.95);
    -ms-transform: scale(0.95);
    transform: scale(0.95);
}

@keyframes puff-in-br {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 1;
    }
}


@-webkit-keyframes puff-in-br {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 1;

    }
}

@-moz-keyframes puff-in-br {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 1;

    }

}

@keyframes puff-in-br-rotate {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2) rotate(15deg);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1) rotate(30deg);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 0.6;
    }
}


@-webkit-keyframes puff-in-br-rotate {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2) rotate(15deg);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;
    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1) rotate(30deg);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 0.6;
    }
}

@-moz-keyframes puff-in-br-rotate {
    0% {
        -webkit-transform: scale(2);
        transform: scale(2) rotate(15deg);
        -webkit-filter: blur(4px);
        filter: blur(4px);
        opacity: 0;

    }
    100% {
        -webkit-transform: scale(1);
        transform: scale(1) rotate(30deg);
        -webkit-filter: blur(0px);
        filter: blur(0px);
        opacity: 0.6;
    }

}


.stamp {
    opacity: 0;
    -webkit-animation: puff-in-br 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
    -moz-animation: puff-in-br 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
    animation: puff-in-br 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
}

.stamp-rotate {
    opacity: 0;
    -webkit-animation: puff-in-br-rotate 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
    -moz-animation: puff-in-br-rotate 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
    animation: puff-in-br-rotate 0.5s cubic-bezier(0.470, 0.000, 0.745, 0.715) 150ms forwards;
}

.jp-text{
    writing-mode: vertical-rl;
    text-orientation: upright;
}